#include <SDL.h>
#include <stdbool.h>


int main(int argc, char ** argv) {

	SDL_Window * ventana;
	SDL_Renderer * render;
	SDL_Event evento;
	bool quit = false;
		
	SDL_Rect fondo = { 0, 0, 640, 480 }; // un rectangulo que ocupará toda la ventana.
 
	SDL_Rect pixel; 
	pixel.x = 0; // posición x
	pixel.y = 0; // posición y
	pixel.w = 1; // ancho
	pixel.h = 1; // alto

	int xEstrellas[100];
	int yEstrellas[100];

	int xMax = 640;	int xMin = 1;
	int yMax = 480;	int yMin = 1;

	int x,y,z;	
	for (x = 0; x < 100; x++) {	xEstrellas[x] = rand()%(xMax-xMin)+xMin; }
	for (y = 0; y < 100; y++) {	yEstrellas[y] = rand()%(yMax-yMin)+yMin; }
		
	
	SDL_Init(SDL_INIT_VIDEO);
	ventana = SDL_CreateWindow("Ejemplo de lluvia de estrellas",SDL_WINDOWPOS_UNDEFINED,SDL_WINDOWPOS_UNDEFINED,640,480,SDL_WINDOW_OPENGL);

	if (ventana == NULL) { printf("No se pudo crear la ventana: %s\n", SDL_GetError());	return 1; }
	
	render = SDL_CreateRenderer(ventana, -1, 0);
	
	SDL_SetRenderDrawColor(render, 1, 1, 1, 255); // RGB será negro. El cuarto valor es alpha. 255 es opaco.
	SDL_RenderFillRect(render, &fondo);
	SDL_RenderDrawPoint(render, 0, 0);
    SDL_RenderPresent(render);
	SDL_RenderClear(render);
	

	int contador2 = 1;
	while (contador2 < 10){
		for (y = 0; y < 100; y++) {	yEstrellas[y] = rand()%(yMax-yMin)+yMin; }
		int contador = 1;
		while (contador < 13) {
			for (z = 0; z < 100; z++) {
				yEstrellas[z]=yEstrellas[z]+1;
				SDL_RenderFillRect(render, &pixel);
				SDL_RenderDrawPoint(render, xEstrellas[z], yEstrellas[z]);
			}		
			SDL_Delay(50);
			if (contador >= 3 ) { SDL_SetRenderDrawColor(render, 235, 235, 235, 255); }    
			if (contador >= 4 ) { SDL_SetRenderDrawColor(render, 225, 225, 225, 255); }    
			if (contador >= 5 ) { SDL_SetRenderDrawColor(render, 215, 215, 215, 255); }    
			if (contador >= 6 ) { SDL_SetRenderDrawColor(render, 200, 200, 200, 255); }
			if (contador >= 7 ) { SDL_SetRenderDrawColor(render, 170, 170, 170, 255); }    
			if (contador >= 8 ) { SDL_SetRenderDrawColor(render, 140, 140, 140, 255); }    
			if (contador >= 9 ) { SDL_SetRenderDrawColor(render, 100, 100, 100, 255); }    
			if (contador >= 10 ) { SDL_SetRenderDrawColor(render, 60, 60, 60, 255); }    
			if (contador >= 11 ) { SDL_SetRenderDrawColor(render, 20, 20, 20, 255); }    
			if (contador >= 12 ) { SDL_SetRenderDrawColor(render, 1, 1, 1, 255); }    
			SDL_RenderPresent(render);
			contador=contador+1;
		}

		//SDL_Delay(150);

		SDL_SetRenderDrawColor(render, 1, 1, 1, 255); // RGB será negro. El cuarto valor es alpha. 255 es opaco.
		SDL_RenderFillRect(render, &fondo);
		SDL_RenderDrawPoint(render, 0, 0);
		SDL_RenderPresent(render);
		SDL_RenderClear(render);
		contador2=contador2+1;
    }



	while (!quit) {
		SDL_WaitEvent(&evento);

		switch (evento.type) {
			case SDL_QUIT:
				quit = true;
				break;
		}


	}

}
